### Method

# FwupdPlugin Firmware write

#### Declaration [src]

    GBytes*
    fu_firmware_write (
      FuFirmware* self
      GError** error
    )

#### Description [src]

Writes a firmware, typically packing the images into a binary blob.

Available since: | 1.3.1

#### Return value

Returns: | `GBytes`
| A data blob.
| The caller of the method takes ownership of the data, and is responsible for freeing it.